Skip to main content
Contract / Payouts

Get a contract payout access by contract payout id

This method requires the ContractPayouts:Get permission to be associated with your role.

GET
/fm/contract/payouts/{contract_payout_id}/access/{access_type}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
contract_payout_idstringrequired
Maximum string length: 20
Pattern: ^[1-9]{1}[0-9]*$
access_typeenum<string>required
Available options: edit, print, delete

Response

application/vnd.catch-e-api.v1+json

Success - if access is granted for the specified access type

deleteenum<string>
Available options: yes, no
editenum<string>
Available options: yes, no
printenum<string>
Available options: yes, no